# Attach a document to a shopping cart (pack)

When the seller needs to add a document to a Mercado Libre shopping cart (pack), they must attach it to one of the individual orders in the cart. It can be attached to any order in the cart (there are no rules), but only to a single order.

Alephee will detect that the order to which the seller attached the document belongs to a Mercado Libre shopping cart (pack) and will upload it to the platform, associating it with the entire shopping cart (pack) instead of an individual order.\
\
With this mechanism, they can upload a document to a shopping cart without additional development or the use of a specific API endpoint.

Remember to attach the document to only one (1) order in the cart. Any order, but only to one order.\
\ <mark style="color:$danger;">If the integration uploads documents to different individual orders in the same shopping cart (pack), the most recently uploaded document will overwrite any previously uploaded documents to the same shopping cart (pack).</mark>

To attach a document to an order, please refer to section [*Attach a document to an order*](https://developers.alephee.com/v2/orders/post-methods/attach-a-document-to-an-order).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.alephee.com/v2/orders/post-methods/attach-a-document-to-a-shopping-cart-pack.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
